%define upstream_name    Try-Tiny
%define upstream_version 0.31

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Minimal try/catch with proper localization of $@
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Try/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::More)
BuildRequires: perl(constant)
BuildRequires: perl(if)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module provides bare bones 'try'/'catch' statements that are designed
to minimize common mistakes with eval blocks, and NOTHING else.

This is unlike the TryCatch manpage which provides a nice syntax and avoids
adding another call stack layer, and supports calling 'return' from the try
block to return from the parent subroutine. These extra features come at a
cost of a few dependencies, namely the Devel::Declare manpage and the
Scope::Upper manpage which are occasionally problematic, and the additional
catch filtering uses the Moose manpage type constraints which may not be
desirable either.

The main focus of this module is to provide simple and reliable error
handling for those having a hard time installing the TryCatch manpage, but
who still want to write correct 'eval' blocks without 5 lines of
boilerplate each time.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.310.0-2.mga9
+ Revision: 1815769
- Mageia 9 Mass Rebuild

* Fri Nov 26 2021 tv <tv> 0.310.0-1.mga9
+ Revision: 1759514
- update to 0.31

* Wed Feb 12 2020 umeabot <umeabot> 0.300.0-3.mga8
+ Revision: 1506891
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.300.0-2.mga7
+ Revision: 1287136
- Mageia 7 Mass Rebuild

* Sun Dec 24 2017 tv <tv> 0.300.0-1.mga7
+ Revision: 1184408
- update to 0.30

* Sun Jul 23 2017 shlomif <shlomif> 0.280.0-1.mga7
+ Revision: 1128999
- update to 0.28

* Sun Jun 19 2016 pterjan <pterjan> 0.240.0-2.mga6
+ Revision: 1035425
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 0.240.0-1.mga6
+ Revision: 924059
- update to 0.24

* Wed Oct 15 2014 umeabot <umeabot> 0.220.0-3.mga5
+ Revision: 747914
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.220.0-2.mga5
+ Revision: 686750
- Mageia 5 Mass Rebuild

* Tue May 06 2014 jquelin <jquelin> 0.220.0-1.mga5
+ Revision: 620792
- update to 0.22

* Tue Mar 25 2014 jquelin <jquelin> 0.200.0-1.mga5
+ Revision: 608432
- update to 0.20

* Mon Feb 10 2014 jquelin <jquelin> 0.190.0-1.mga5
+ Revision: 588796
- update to 0.19

* Sat Oct 19 2013 umeabot <umeabot> 0.180.0-2.mga4
+ Revision: 534069
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 0.180.0-1.mga4
+ Revision: 476206
- update to 0.18

* Sun Jan 13 2013 umeabot <umeabot> 0.120.0-2.mga3
+ Revision: 374487
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.120.0-1.mga3
+ Revision: 342714
- update to 0.12

* Thu Sep 01 2011 jquelin <jquelin> 0.110.0-1.mga2
+ Revision: 137571
- update to 0.11

* Sat Feb 26 2011 jquelin <jquelin> 0.90.0-1.mga1
+ Revision: 60394
- update to 0.09

* Tue Jan 18 2011 jquelin <jquelin> 0.70.0-1.mga1
+ Revision: 23040
- cleaning spec file
- imported package perl-Try-Tiny

